/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


Main();


/**
 * Fonction principale
 * Appelée au chargement de la page
 * 
 */
function Main()
{
    console.log("Main");

    // var oDivGame = document.getElementById("idGameDiv");

    // création du module AngularJS
    var oModule = angular.module("AppliAngularJS", []);

    // déclaration des contrôleurs
    oModule.controller("MainControler", MainControler) 
      .controller("ViewControler", ViewControler)
      .controller("oControler", ControlerSingle)
      .controller("LoginController", LoginController);
}


/**
 * Gestion du formulaire de connection
 * 
 * @param {[type]} $scope [description]
 */
function LoginController($scope)
{
    console.log("LoginController");

    // affectation de la fonction appelée par le formulaire
    $scope.loginUser = function() 
    {
        var bLogIn = false;

        // vérification des valeurs saisies
        if( $scope.userUsername == "Matthieu" && $scope.userPassword === "6969")
            bLogIn = true;

        if( bLogIn === true ) 
        {
            console.log("connection réussie");
            $scope.loginForm = false;// masque le formulaire de connection
            $scope.$parent.loginValid = true;
            $scope.$parent.loginErreur = false;// affiche le message d'erreur

            // affiche la div connecté
            $scope.$parent.connected = true;
            $scope.$parent.accountType = "gold";// affiche le type de compte de l'utilisateur
        } 
        else 
        {
            console.log("identifiant / mot de passe invalide");
            $scope.$parent.loginErreur = true;// affiche un message d'erreur
            $scope.$parent.showContent = false;// masque un message informatif
        }   
    }
}


 
/**
 * Le contrôleur
 * 
 * $scope est automatiquement fourni au contrôleur 
 * via le mécanisme d’injection de dépendances utilisé par AngularJS. 
 * 
 * @param {[type]} $scope [description]
 */
function ControlerSingle($scope) 
{ 
    /**
     * init de l'état du modèle
     * ajout du modèle et des fonctions à la vue via l’objet $scope 
     * gestion des changements du modèle
     * 
     */

    // récupère la configuration dans le local storage HTML5 
    /*
    $scope.config = localStorage.getconfig("start") || [];
      
    $scope.addConfig = function(oValue) { ... } 
    $scope.removeConfig = function(oValue) { ... } 
    $scope.doneConfig = function(oValue) { ... } 
    */

  	// représentation du modèle - les données
    $scope.user = { name: "Matthieu", site: "Développement Facile" }; 

    $scope.value = "---> Voici une valeur affichée via AngularJS...";
    $scope.loginForm = true;// affiche le formulaire de connection
    $scope.showContent = true;// affiche le texte car booléen à true
    $scope.solde = 3;// masque le texte car solde est supérieur à 0
}



/**
 * Déclaration des variables des vues
 * 
 * @param {[type]} $scope [description]
 */
function ViewControler($scope) 
{ 
    $scope.pageTitle = "Utilisation d'AngularJS"; 
} 
     

/**
 * Déclaration des variables nécessaires dans la zone gérée par AngularJS
 * 
 * @param {[type]} $scope [description]
 */
function MainControler($scope) 
{ 
    $scope.title = "Application Développement Facile"; 
} 
 
